import { default as BSDateTimeControl } from 'react-datetime';
export declare class BSDatePicker extends BSDateTimeControl {
    adjustedView: any;
    stopClosing: any;
    closeCalendar: any;
    componentDidMount(): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    adjustForRC(): void;
    addEventListeners(): void;
    removeEventListeners(): void;
    onDatePickerClick: () => void;
    closeUnfocused: () => void;
    focusInput: () => void;
    isFocused(): boolean;
    mouseDownByKeyboard: (event: any) => void;
    mouseUpByKeyboard: (event: any) => void;
    clickByKeyboard: (event: any) => void;
}
